## qtmultimedia-opensource-src 5.0.1

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Network Widgets)

test_module_includes(
  Multimedia QCamera
  MultimediaWidgets QVideoWidget
)

=== debian/changelog ===
qtmultimedia-opensource-src (5.0.1-0ubuntu6) raring; urgency=low

  * debian/control
    - added a Replaces to libqt5multimedia5 for qtmultimedia5-dev to 
      handle the files being moved

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 28 Mar 2013 14:43:34 -0400

qtmultimedia-opensource-src (5.0.1-0ubuntu5) raring; urgency=low

  * Fix plugin library files erronously in -dev (LP: #1159792)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Mar 2013 13:43:07 +0000

qtmultimedia-opensource-src (5.0.1-0ubuntu4) raring; urgency=low

  * debian/control: also C/R/P libqt5declarative5-qtmultimedia-plugin
  * Add Vcs-Bzr for ~kubuntu-packagers

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 27 Feb 2013 10:23:24 +0000

qtmultimedia-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * debian/control: need to also C/R/P against libqgsttools for the ppa
    transition

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 21 Feb 2013 18:21:29 +0000

qtmultimedia-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156) 
  * Add qtdeclarative5-qtaudioengine-plugin

  [ Didier Roche ]
  * Add libqt5multimediaquick-qt5 R/C/P libqt5multimediaquick5 to transition
    from the sdk ppa to raring

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 21 Feb 2013 16:11:14 +0000

qtmultimedia-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * Initial release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 14:01:27 +0000

=== debian/control ===
Source: qtmultimedia-opensource-src
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               autotools-dev,
               qt5-default,
               qt5-qmake,
               qtbase5-dev-tools,
               qtbase5-dev (>= 5.0.1~),
               libqt5opengl5-dev (>= 5.0.1~),
               qtbase5-private-dev (>= 5.0.1~),
               qtdeclarative5-private-dev (>= 5.0.1~),
               libpulse-dev,
               libgstreamer-plugins-base0.10-dev,
               libopenal-dev,
               libgstreamer0.10-dev,
               zlib1g-dev,
               pkg-kde-tools,
Standards-Version: 3.9.4
Homepage: https://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtmultimedia-opensource-src

Package: libqt5multimedia5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtmultimedia5-dev (<< 5.0.1-0ubuntu6)
Description: Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqt5multimediaquick-p5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqt5multimediaquick5
Replaces: libqt5multimediaquick5
Provides: libqt5multimediaquick5
Description: Qt 5 Multimedia Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqt5multimediawidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Multimedia Widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: qtdeclarative5-qtmultimedia-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqt5declarative5-qtmultimedia-plugin
Replaces: libqt5declarative5-qtmultimedia-plugin
Provides: libqt5declarative5-qtmultimedia-plugin
Description: Qt 5 Multimedia QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Multimedia QML plugin for QtDeclarative.

Package: qtdeclarative5-qtaudioengine-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 AudioEngine QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the AudioEngine QML plugin for QtDeclarative.

Package: libqgsttools-p1
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqgsttools
Replaces: libqgsttools
Provides: libqgsttools
Description: GStreamer tools for  Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the GStreamer tools for Qt 5 Multimedia module

Package: qtmultimedia5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Examples for Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for Qt5 multimedia application
 development.

Package: qtmultimedia5-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
         libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
         libqgsttools-p1 (= ${binary:Version}),
         libqt5multimedia5 (= ${binary:Version}),
         libqt5multimediaquick-p5 (= ${binary:Version}),
         libqt5multimediawidgets5 (= ${binary:Version}),
         qt5-qmake,
         qtbase5-dev-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: icheck
Description: APIs for multimedia functionality - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Multimedia libraries.

Package: qtmultimedia5-private-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: qtmultimedia5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: APIs for multimedia functionality - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.

Package: qtmultimedia5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5multimedia5 (= ${binary:Version}),
         qtmultimedia5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 Multimedia library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Multimedia
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtmultimedia5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtmultimedia-opensource-src-([^-]*)\.tar.xz

## qtmultimedia-opensource-src 5.0.2

=== debian/changelog ===
qtmultimedia-opensource-src (5.0.2-4ubuntu3) saucy; urgency=low

  * debian/control: adding missing dependencies for qtmultimedia5-examples

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 02 Jul 2013 17:52:51 -0300

qtmultimedia-opensource-src (5.0.2-4ubuntu2) saucy; urgency=low

  * Add .install files for the new packages.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 02 Jul 2013 19:54:41 +0400

qtmultimedia-opensource-src (5.0.2-4ubuntu1) saucy; urgency=low

  * Merge with Debian packaging Git, remaining changes:
    - Maintainer field and Vcs-Bzr.
    - Use ${misc:Pre-Depends}.
    - Add Conflicts/Replaces fields for our old packages.
    - Updated symbols files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 02 Jul 2013 19:42:00 +0400

qtmultimedia-opensource-src (5.0.2-4) experimental; urgency=low

  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols file.
  * Make qtmultimedia5-dbg M-A same to allow coinstalability of debugging
    symbols.
  * Bump qtbase B-D to 5.0.2+dfsg1-6~, because it's the version that adds
    GStreamer support.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 20:26:20 -0300

qtmultimedia-opensource-src (5.0.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * qtmultimedia5-examples: add ${misc:Pre-Depends}.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.

  [ Timo Jyrinki]
  * Fix paths in pkgconfig files

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 29 May 2013 12:19:03 -0300

qtmultimedia-opensource-src (5.0.2-2ubuntu2) saucy; urgency=low

  * Update libqt5multimedia5.symbols for qreal substitutions for armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 May 2013 19:47:12 -0600

qtmultimedia-opensource-src (5.0.2-2ubuntu1) saucy; urgency=low

  * Sync with Debian, new upstream version
    - Audio, mediaservice and playlistformats plugins were splitted to 
      libqt5multimedia5-plugins - add to your dependencies!
    - Keep replaces/provides/conflicts for old package names
    - Fix pkgconfig files
    - Update libqgsttools-p1.symbols for saucy

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 May 2013 14:20:13 +0300

qtmultimedia-opensource-src (5.0.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update Vcs-Browser and Vcs-Git headers.
  * Remove extra qt5-qmake and qtbase5-dev-tools build dependencies.
  * qtmultimedia5-dbg: add ${misc:Depends}, and demote the
    qtmultimedia5-examples dependency to suggest.
  * Update symbols files.
  * Add the libasound2-dev (on Linux only) build dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 May 2013 15:15:00 -0300

qtmultimedia-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 28 Apr 2013 09:28:52 -0300

=== debian/control ===
Source: qtmultimedia-opensource-src
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               qtbase5-dev (>= 5.0.2+dfsg1-6~),
               libqt5opengl5-dev (>= 5.0.2~),
               qtbase5-private-dev (>= 5.0.2~),
               qtdeclarative5-private-dev (>= 5.0.2~),
               libasound2-dev [linux-any],
               libpulse-dev,
               libgstreamer-plugins-base0.10-dev,
               libopenal-dev,
               libgstreamer0.10-dev,
               zlib1g-dev,
               pkg-kde-tools,
Build-Depends-Indep: libqt5sql5-sqlite,
                     qttools5-dev-tools (>= 5.0.2~)
Standards-Version: 3.9.4
Homepage: https://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtmultimedia.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtmultimedia-opensource-src

Package: libqt5multimedia5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtmultimedia5-dev (<< 5.0.1-0ubuntu6)
Description: Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqt5multimedia5-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5multimedia5 (= ${binary:Version}), ${misc:Depends},
 ${shlibs:Depends}
Replaces: libqt5multimedia5 (<< 5.0.2~)
Description: Qt 5 Multimedia module plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of plugins for supporting m3u, pulseaudio
 and GStreamer.

Package: libqt5multimediaquick-p5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqt5multimediaquick5
Replaces: libqt5multimediaquick5
Provides: libqt5multimediaquick5
Description: Qt 5 Multimedia Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content with the Quick module.

Package: libqt5multimediawidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Multimedia Widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of widgets to play and record media, and manage a
 collection of media content.

Package: qtdeclarative5-qtmultimedia-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Multimedia QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Multimedia QML plugin for QtDeclarative.

Package: qtdeclarative5-qtaudioengine-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqt5declarative5-qtmultimedia-plugin
Replaces: libqt5declarative5-qtmultimedia-plugin
Provides: libqt5declarative5-qtmultimedia-plugin
Description: Qt 5 AudioEngine QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the AudioEngine QML plugin for QtDeclarative.

Package: libqgsttools-p1
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqgsttools
Replaces: libqgsttools
Provides: libqgsttools
Description: GStreamer tools for  Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the GStreamer tools for Qt 5 Multimedia module.

Package: qtmultimedia5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5multimedia5-plugins (= ${binary:Version}),
         qtdeclarative5-qtmultimedia-plugin (= ${binary:Version}),
         qtdeclarative5-qtquick2-plugin,
         qtdeclarative5-folderlistmodel-plugin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Examples for Qt 5 Multimedia module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for Qt5 multimedia application
 development.

Package: qtmultimedia5-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libqgsttools-p1 (= ${binary:Version}),
         libqt5multimedia5 (= ${binary:Version}),
         libqt5multimediaquick-p5 (= ${binary:Version}),
         libqt5multimediawidgets5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: APIs for multimedia functionality - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Multimedia libraries.

Package: qtmultimedia5-private-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~)
Depends: qtmultimedia5-dev (= ${binary:Version}), ${misc:Depends}
Description: APIs for multimedia functionality - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Use at your own risk.

Package: qtmultimedia5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5multimedia5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: qtmultimedia5-examples (= ${binary:Version})
Description: Qt 5 Multimedia library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Multimedia
 libraries.

Package: qtmultimedia5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 multimedia documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 multimedia libraries.

Package: qtmultimedia5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 multimedia HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 multimedia
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtmultimedia5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtmultimedia-opensource-src-([^-]*)\.tar.xz

## qtmultimedia-opensource-src 5.2.1

=== debian/changelog ===
qtmultimedia-opensource-src (5.2.1-0ubuntu5) trusty; urgency=medium

  * libqt5multimediawidgets5.symbols: adding dep alternatives for the
    version compatible with OpenGLES (provided by another src pkg)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 04:54:25 -0300

qtmultimedia-opensource-src (5.2.1-0ubuntu4) trusty; urgency=medium

  * Update the previous patch to never do duplicate endianness
    conversion.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 16 Mar 2014 20:36:22 +0400

qtmultimedia-opensource-src (5.2.1-0ubuntu3) trusty; urgency=medium

  * Add new patch to support big-endian systems (a second attempt to
    fix LP: #1292364).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 16 Mar 2014 12:42:25 +0400

qtmultimedia-opensource-src (5.2.1-0ubuntu2) trusty; urgency=medium

  * Fix test that was failing on powerpc (LP: #1292364).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Mar 2014 19:11:12 +0400

qtmultimedia-opensource-src (5.2.1-0ubuntu1) trusty; urgency=low

  [ Omer Akram ]
  * Run unittests during build, disable flaky tests (LP: #1193370)

  [ Timo Jyrinki ]
  * New upstream release
  * Update *.install
  * Merge Debian packaging 5.2.0-1, remaining changes:
    - Keep omitting OpenAL from build-deps
    - Don't build Qt Audio Engine
    - Enable tests
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 09:03:43 +0000

qtmultimedia-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt 5 build-dependencies to 5.2.0.
  * Update qtmultimedia5-examples.install.
  * Make Vcs-Browser field canonical by dropping useless attribute.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove new private stuff we are not shipping.
  * Adjust install files.
  * Update symbols files with current build log.
  * Regenerate the symbols that used to have the qreal subst.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Dec 2013 23:15:42 -0300

qtmultimedia-opensource-src (5.1.1-2) unstable; urgency=low

  * Switch priority to optional. Hat tip to Dmitry Shachnev.
    - Switch the dbg package back to priority extra.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Dec 2013 19:07:59 -0300

qtmultimedia-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 22:59:54 -0300

qtmultimedia-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 10:50:12 -0300

qtmultimedia-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.

  [ Ricardo Salveti de Araujo ]
  * debian/control: adding missing dependencies for qtmultimedia5-examples.
    Forwarded to Debian by Dmitry Shachnev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.
  * Fix watch file.
  * Bump build dependencies to 5.1.0~.
  * Remove package qtmultimedia5-private-dev. Nothing in the Qt stack seems to
    be using it. Can be reintroduced later if needed.
    - Remove associated install file.
    - Remove the files from debian/tmp before installing the packages.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 20:42:48 -0300

qtmultimedia-opensource-src (5.0.2-4ubuntu4) trusty; urgency=low

  * Add libqt5multimedia5-plugins dependency to QML plugin (LP: #1202996)
  * Drop Qt Audio Engine for now to not bring OpenAL dependency

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 11 Oct 2013 08:13:50 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtmultimedia-opensource-src
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
@@ -10,19 +10,17 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               qtbase5-dev (>= 5.0.2+dfsg1-6~),
-               libqt5opengl5-dev (>= 5.0.2~),
-               qtbase5-private-dev (>= 5.0.2~),
-               qtdeclarative5-private-dev (>= 5.0.2~),
                libasound2-dev [linux-any],
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libpulse-dev,
-               libgstreamer-plugins-base0.10-dev,
-               libopenal-dev,
-               libgstreamer0.10-dev,
-               zlib1g-dev,
+               libqt5opengl5-dev (>= 5.2.1+dfsg~),
                pkg-kde-tools,
-Build-Depends-Indep: libqt5sql5-sqlite,
-                     qttools5-dev-tools (>= 5.0.2~)
+               qtbase5-dev (>= 5.2.1+dfsg~),
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.2.1-0~),
+               zlib1g-dev
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1-0~)
 Standards-Version: 3.9.4
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
@@ -34,7 +32,6 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: qtmultimedia5-dev (<< 5.0.1-0ubuntu6)
 Description: Qt 5 Multimedia module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -46,9 +43,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: libqt5multimedia5 (= ${binary:Version}), ${misc:Depends},
- ${shlibs:Depends}
-Replaces: libqt5multimedia5 (<< 5.0.2~)
+Depends: libqt5multimedia5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt 5 Multimedia module plugins
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -61,9 +58,6 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5multimediaquick5
-Replaces: libqt5multimediaquick5
-Provides: libqt5multimediaquick5
 Description: Qt 5 Multimedia Quick module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -87,35 +81,18 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5multimedia5-plugins, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Multimedia QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Multimedia QML plugin for QtDeclarative.
 
-Package: qtdeclarative5-qtaudioengine-plugin
-Architecture: any
-Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5declarative5-qtmultimedia-plugin
-Replaces: libqt5declarative5-qtmultimedia-plugin
-Provides: libqt5declarative5-qtmultimedia-plugin
-Description: Qt 5 AudioEngine QML plugin
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the AudioEngine QML plugin for QtDeclarative.
-
 Package: libqgsttools-p1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqgsttools
-Replaces: libqgsttools
-Provides: libqgsttools
 Description: GStreamer tools for  Qt 5 Multimedia module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -128,9 +105,9 @@
 Section: x11
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: libqt5multimedia5-plugins (= ${binary:Version}),
+         qtdeclarative5-folderlistmodel-plugin,
          qtdeclarative5-qtmultimedia-plugin (= ${binary:Version}),
          qtdeclarative5-qtquick2-plugin,
-         qtdeclarative5-folderlistmodel-plugin,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Examples for Qt 5 Multimedia module
@@ -157,26 +134,12 @@
  This package contains the development files needed to build Qt applications
  using Qt Multimedia libraries.
 
-Package: qtmultimedia5-private-dev
-Architecture: any
-Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: qtmultimedia5-dev (= ${binary:Version}), ${misc:Depends}
-Description: APIs for multimedia functionality - private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications like Qt Creator QML Designer plugin.
- .
- Use at your own risk.
-
 Package: qtmultimedia5-dbg
+Priority: extra
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libqt5multimedia5 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqt5multimedia5 (= ${binary:Version}), ${misc:Depends}
 Suggests: qtmultimedia5-examples (= ${binary:Version})
 Description: Qt 5 Multimedia library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+export QT_QPA_PLATFORM := minimal
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtmultimedia5-dbg
@@ -19,6 +22,15 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install
+
+	# Remove private headers.
+	rm -rfv debian/tmp/usr/include/qt5/QtMultimedia/*/QtMultimedia/private
+	rm -rfv debian/tmp/usr/include/qt5/QtMultimediaWidgets/*/QtMultimediaWidgets/private/
+	rm -rfv debian/tmp/usr/include/qt5/QtMultimediaQuick_p/QtMultimediaQuick_pDepends
+	# And some other private stuff.
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_multimedia_private.pri
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_multimediawidgets_private.pri
 	
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
@@ -36,3 +48,7 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
+override_dh_auto_test:
+	export LD_LIBRARY_PATH=$(CURDIR)/lib
+	cd tests/auto/unit/ && ( test -e Makefile || qmake unit.pro -o Makefile ) && make -f Makefile check
+

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtmultimedia-opensource-src-([^-]*)\.tar.xz

## qtmultimedia-opensource-src 5.3.0

=== debian/changelog ===
qtmultimedia-opensource-src (5.3.0-1ubuntu2) utopic; urgency=medium

  * debian/patches/adding_media_role_property.patch:
    - Adding patch to allow apps to specify the media role to be used when
      playing audio
  * Updating symbols with current build log

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 02 Sep 2014 20:42:02 -0300

qtmultimedia-opensource-src (5.3.0-1ubuntu1) utopic; urgency=medium

  * Build against Qt 5.3
  * Move includes and change private headers cleanup accordingly
  * Drop fix_failing_test.diff and bigendian_support.diff, merged upstream
  * Sync with Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Jun 2014 11:20:11 +0000

qtmultimedia-opensource-src (5.3.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Add config.tests/mmrenderer/* to debian/copyright. Thanks Scott Kitterman
    for noticing!
  * Bump Qt build dependencies.
  * Move headers to their new multi arch path. Mark development package as
    Multi-Arch: same.
  * Remove transitional packages, they are no longer needed.
  * Fix path for removing private headers.
  * Do not override dh_builddeb, xz is now the default method.
  * Remove gstreamer_cleanup_system_includes.patch, applied upstream.
  * Do not install private stuff.
  * Fix install file with new headers.
  * Update symbols files with current build log.
  * Update debian/copyright.

  [ Pino Toscano ]
  * Enable RPATH in the spectrum example also on kFreeBSD and Hurd; patch
    rpath_nonlinux.diff. (Closes: #748816)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 28 May 2014 23:59:53 -0300

qtmultimedia-opensource-src (5.2.1-3ubuntu1) utopic; urgency=medium

  * Sync with Debian, including renaming the QML module. Remaining changes:
    - Keep omitting OpenAL from build-deps and don't build Qt Audio Engine
    - Enable tests
    - Allow the -gles variant of Qt to co-exist via symbol files
    - Make the transitional package arch:any & multi-arch for successful 
      cross-compiling when using the old package names as dependencies
    - Keep the bigendian_support patch
    - Don't bring the FreeBSD only backport patch
    - Keep libqt5multimedia5-plugins as a dependency to the QML module

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 07 May 2014 08:03:29 +0000

qtmultimedia-opensource-src (5.2.1-3) unstable; urgency=medium

  * Rename QML packages with proper files renaming and Break+Replaces:
    - qtdeclarative5-qtaudioengine-plugin → qml-module-qtaudioengine
    - qtdeclarative5-qtmultimedia-plugin → qml-module-qtmultimedia
  * Add qml-module-qtquick2 as qml-module-qtmultimedia dependency.
  * Backport gstreamer_cleanup_system_includes.patch to solve FTBFS in
    kfreebsd-*.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 11:25:23 -0300

qtmultimedia-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:43:36 -0300

qtmultimedia-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildd's and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Feb 2014 19:26:24 -0300

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,15 @@
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.2.1+dfsg~),
+               libqt5opengl5-dev (>= 5.3.0+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.1+dfsg~),
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.1-0~),
+               qtbase5-dev (>= 5.3.0+dfsg~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1-0~)
-Standards-Version: 3.9.4
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
+                     qttools5-dev-tools (>= 5.3.0~)
+Standards-Version: 3.9.5
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtmultimedia.git;a=summary
@@ -30,7 +31,7 @@
 Package: libqt5multimedia5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Multimedia module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -42,7 +43,7 @@
 Package: libqt5multimedia5-plugins
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5multimedia5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -56,7 +57,7 @@
 Package: libqt5multimediaquick-p5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Multimedia Quick module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -68,7 +69,7 @@
 Package: libqt5multimediawidgets5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Multimedia Widgets module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -80,18 +81,32 @@
 Package: qtdeclarative5-qtmultimedia-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: libqt5multimedia5-plugins, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 Multimedia QML plugin
+Section: oldlibs
+Depends: qml-module-qtmultimedia, ${misc:Depends}
+Description: transitional dummy package for Qt 5 Multimedia QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Multimedia QML plugin for QtDeclarative.
+ This is a transitional dummy package for qml-module-qtmultimedia
+ which can be safely removed.
+
+Package: qml-module-qtmultimedia
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libqt5multimedia5-plugins, qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-qtmultimedia-plugin (<< 5.2.1-3~)
+Replaces: qtdeclarative5-qtmultimedia-plugin (<< 5.2.1-3~)
+Description: Qt 5 Multimedia QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Multimedia QML module for QtDeclarative.
 
 Package: libqgsttools-p1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GStreamer tools for  Qt 5 Multimedia module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -103,11 +118,11 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5multimedia5-plugins (= ${binary:Version}),
-         qtdeclarative5-folderlistmodel-plugin,
-         qtdeclarative5-qtmultimedia-plugin (= ${binary:Version}),
-         qtdeclarative5-qtquick2-plugin,
+         qml-module-qt-labs-folderlistmodel,
+         qml-module-qtmultimedia (= ${binary:Version}),
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Examples for Qt 5 Multimedia module
@@ -119,8 +134,8 @@
 
 Package: qtmultimedia5-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqgsttools-p1 (= ${binary:Version}),
          libqt5multimedia5 (= ${binary:Version}),
          libqt5multimediaquick-p5 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,10 @@
 	dh_auto_install
 
 	# Remove private headers.
-	rm -rfv debian/tmp/usr/include/qt5/QtMultimedia/*/QtMultimedia/private
-	rm -rfv debian/tmp/usr/include/qt5/QtMultimediaWidgets/*/QtMultimediaWidgets/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtMultimediaQuick_p/QtMultimediaQuick_pDepends
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimedia/*/QtMultimedia/private
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaWidgets/*/QtMultimediaWidgets/private/
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaQuick_p/*/QtMultimediaQuick_p/private/
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaQuick_p/QtMultimediaQuick_pDepends
 	# And some other private stuff.
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_multimedia_private.pri
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri
@@ -45,9 +46,6 @@
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_auto_test:
 	export LD_LIBRARY_PATH=$(CURDIR)/lib
 	cd tests/auto/unit/ && ( test -e Makefile || qmake unit.pro -o Makefile ) && make -f Makefile check
